<?php

namespace Bundler\Controllers;

use Bundler\Models\Settings;

if (!defined('ABSPATH')) exit;

class SettingsController
{

    /**
     * Get settings
     * 
     * @return array
     */
    public function get_settings()
    {
        return Settings::get_settings();
    }

    /**
     * Update template settings
     * 
     * @return void
     */
    public function update_template_settings()
    {
        $options = array(
            'id'                => FILTER_SANITIZE_STRING,
            'design'            => FILTER_SANITIZE_STRING,
            'design_mobile'     => FILTER_SANITIZE_STRING,
            'bundles_title'     => FILTER_SANITIZE_STRING,
            'title_show'        => FILTER_SANITIZE_STRING,
            'qty_selector'      => FILTER_SANITIZE_STRING,
            'cart_redirect'     => FILTER_SANITIZE_STRING,
            'checkout_redirect' => FILTER_SANITIZE_STRING,
            'atc_price_text'    => FILTER_SANITIZE_STRING
        );

        $inputs = filter_input_array(INPUT_POST, $options);

        $design_desktop    = $inputs['design'];
        $design_mobile     = $inputs['design_mobile'];
        $bundles_title     = $inputs['bundles_title'];
        $title_show        = isset($inputs['title_show']) ? 'on' : 'off';
        $qty_selector      = isset($inputs['qty_selector']) ? 'on' : 'off';
        $cart_redirect     = isset($inputs['cart_redirect']) ? 'on' : 'off';
        $checkout_redirect = 'off';
        $atc_price_text    = 'off';

        Settings::update_template_settings(
            $design_desktop,
            $design_mobile,
            $bundles_title,
            $title_show,
            $qty_selector,
            $cart_redirect,
            $checkout_redirect,
            $atc_price_text
        );
    }
}
