<div class="over">
    <input type="hidden" name="preselected_offer_id" value="off">
    <input type="hidden" name="wbdl-bundles-number" value="<?php if ($bundles) echo esc_attr(count($bundles));
                                                            else echo "1"; ?>">

    <div class="offers_list">
        <?php

        $currency_data = array();
        if (has_filter('wbdl_get_currency_data')) {
            $currency_data = apply_filters('wbdl_get_currency_data', $currency_data);
        }

        if ($bundles && is_array($bundles)) {

            foreach ($bundles as $key => $bundle) {

        ?>
                <div class="single_offer" draggable="true">
                    <i class="icofont-rounded-up toggle_offer"></i>
                    <div class="single_line">
                        <p class="title-input-offer offer_title_label">Offer title <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">The name of the offer to explain what people will get. <br><br><i>ex: 2 products (-50% OFF)</i></span></span></p>
                        <input class="wbdl_bundle_title components-text-control__input" type="text" placeholder="ex: 2 Tshirts + 1 Free" name="bundle_title[]" value="<?php if ($bundle->bundle_title != '') echo esc_attr($bundle->bundle_title); ?>" draggable="true" />
                        <input type="hidden" class="hidden_title" value="Buy 1 Tshirt" draggable="true">
                    </div>
                    <div class="element_to_toggle">
                        <div class="single_line">
                            <p class="title-input-offer">Product quantity in the bundle <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">The number of bundled products in the offer.</span></span></p>
                            <input class="wbdl_product_qty components-text-control__input" type="number" min="1" placeholder="ex: 3" name="product_qty[]" value="<?php if ($bundle->number_of_products != '') echo esc_attr($bundle->number_of_products); ?>" draggable="true" />
                        </div>
                        <div class="single_line">
                            <p class="title-input-offer">Thumbnail url (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add a picture on the offer to show people what they will get.</span></span><?php is_pro(); ?></p>
                            <input type="text" name="image_url[]" class="thumbnail_url components-text-control__input" placeholder="https://yourdomain.com/path-to-image" value="<?php if ($bundle->image_url != '') echo esc_attr($bundle->image_url); ?>" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true">
                        </div>
                        <div class="two_column_offer">
                            <div class="single_line">
                                <p class="title-input-offer">Price <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Current price of the offer people will pay.</span></span></p>
                                <input class="wbdl_sale_price components-text-control__input" type="number" step="0.01" min="0" placeholder="9.99" name="sale_price[]" value="<?php if ($bundle->sale_price != '') echo esc_attr($bundle->sale_price); ?>" draggable="true" />
                            </div>
                            <div class="single_line">
                                <p class="title-input-offer">Compared price (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Old price that will appear crossed.</span></span></p>
                                <input class="wbdl_regular_price components-text-control__input" type="number" step="0.01" min="0" placeholder="19.99" name="regular_price[]" value="<?php if ($bundle->regular_price != '') echo esc_attr($bundle->regular_price); ?>" draggable="true" />
                            </div>
                        </div>
                        <p class="title-input-offer" style="margin-top:30px;">
                            <input type="checkbox" name="ppu" class="show_price_per_unit" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>> Show the price per unit instead <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Show the prices of each item instead of the price of the bundle.</span></span>
                            <?php is_pro(); ?>
                        </p>
                        <?php if ($currency_data && !empty($currency_data)) { ?>
                            <p class="title-input-offer" style="margin-top:30px;">
                                <input type="checkbox" name="wmc" class="wmc" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>> Use fixed multicurrency prices <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">You are using Villatheme multicurrency plugin. Enable this option if you want to set fixed prices in different currencies for your offers.</span></span><?php is_pro(); ?>
                            </p>
                        <?php } ?>
                        <div class="solid-divider"></div>

                        <div class="single_line">
                            <h3 class="options-title">Custom Variants & Options</h3>
                            <p class="offer_number_option title-input-offer" data-value="1">
                                <input type="checkbox" id="togBtn" name="use_custom_variations" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>>
                                Use custom variants & options
                                <span class="info-popup">
                                    <i class="icofont-info-circle icon-popup"></i>
                                    <span class="info-popup-message" style="display: none;">Check this box if the product in your offer if you want to use custom variants instead of Woocommerce variants.<br><br><i>Check our documentation to learn more about custom variants.</i>
                                    </span>
                                </span>
                                <?php is_pro(); ?>
                            </p>
                        </div>

                        <div class="wbdl_custom_options option_1" style="display: none;">
                            <!-- Option Name -->
                            <div class="single_line">
                                <p class="title-input-offer">Option 1 name <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the name of the first option.<br><br><i>ex: Color</i></span></span></p>
                                <input class="components-text-control__input" type="text" placeholder="ex: Color" name="option1_name[]" value="<?php if ($bundle->option1_name != '') echo esc_attr($bundle->option1_name); ?>" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                                <span class="info-popup"><i onclick="changeOptionsNumber(this);" class="icofont-trash trash-button pointer"></i></span>
                            </div>
                            <!-- /Option Name -->
                            <div class="single_line">
                                <p class="title-input-offer">Option 1 values separated by "|" <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the different variants for the first option separated by "|"<br><br><i>ex: Red | Blue | Black</i></span></span></p>
                                <input type="text" class="components-text-control__input" placeholder="ex: Black | Red | Blue" name="option1_value[]" value="<?php if ($bundle->option1_value != '') echo esc_attr($bundle->option1_value); ?>" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                                <!-- <p class="info_dropdown_shown" style="display: none;">You need at least 2 values if you want the selector to appear in the preview</p> -->
                            </div>

                            <!-- <div class="single_line">
                                <p class="add_option" style="display: block;">+ Add another option</p>
                            </div> -->
                        </div>

                        <!-- /Option Name -->

                        <div class="wbdl_custom_options option_2" style="display: none;">
                            <div class="single_line">
                                <p class="title-input-offer">Option 2 name <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the name of the second option.<br><br><i>ex: Size</i></span></span></p>
                                <input class="components-text-control__input" type="text" placeholder="ex: Size" name="option1_name[]" value="<?php if ($bundle->option2_name != '') echo esc_attr($bundle->option2_name); ?>" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                                <span class="info-popup"><i class="icofont-trash trash-button pointer"></i></span>
                            </div>
                            <div class="single_line">
                                <p class="title-input-offer">Option 2 values separated by "|" <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the different variants for the second option separated by "|"<br><br><i>ex: Small | Medium | Large</i></span></span></p>
                                <input type="text" class="components-text-control__input" placeholder="ex: Small | Medium | Large" name="option1_value[]" value="<?php if ($bundle->option2_value != '') echo esc_attr($bundle->option2_value); ?>" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                                <!-- <p class="info_dropdown_shown" style="display: none;">You need at least 2 values if you want the selector to appear in the preview</p> -->
                            </div>
                        </div>

                        <div class="solid-divider"></div>

                        <div class="content-sentence">
                            <h3 class="options-title">Custom messages</h3>
                            <p class="title-input-offer" style="margin-top: 20px;margin-bottom: 0px;">
                                <input type="checkbox" name="preselected_offer[]" class="preselected_offer" <?php if ($bundle->preselected_offer == "on") {
                                                                                                                echo "checked";
                                                                                                            } ?> draggable="true">
                                Preselect this offer
                                <span class="info-popup">
                                    <i class="icofont-info-circle icon-popup"></i>
                                    <span class="info-popup-message" style="display: none;">It's the offer that will be selected by default when you will open your product page</span>
                                </span>
                            </p>
                            <p class="title-input-offer">
                                <input type="checkbox" name="add_messages[]" class="add_custom_messages" draggable="true" <?php if ($bundle->add_messages == "on") echo 'checked'; ?>> Add custom messages to the offer <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">You can display a message on the offer to make it more attractive<br><br><i>ex: Best offer</i></span></span>
                                <input type="hidden" name="hidden_add_messages[]" class="hidden_add_messages" value="<?php if ($bundle->add_messages == "on") echo 'on';
                                                                                                                        else echo 'off'; ?>">
                            </p>
                            <div class="custom-messages" style="<?php if ($bundle->add_messages != "on") echo 'display:none;'; ?>">
                                <div class="single_line">
                                    <p class="title-input-offer">Message 1 (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">This message will be displayed above the offer's title.<br><br><i>ex: Best offer</i></span></span></p>
                                    <input class="components-text-control__input" type="text" placeholder="ex: Best seller!" name="message[]" value="<?php if ($bundle->message != '') echo esc_attr($bundle->message); ?>" draggable="true" />
                                </div>

                                <div class="single_line">
                                    <p class="title-input-offer">Message 2 (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">This message will be displayed below the offer's title.<br><br><i>ex: Save 10% with this bundle</i></span></span></p>
                                    <input class="components-text-control__input" type="text" placeholder="ex: Save 20% with this offer" name="discount_rule[]" value="<?php if ($bundle->discount_rule != '') echo esc_attr($bundle->discount_rule); ?>" draggable="true" />
                                </div>

                                <div class="single_line">
                                    <p class="title-input-offer">Message effect <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add an effect to the message to make it pop. This will apply on Message 1.</span></span>
                                    </p>
                                    <select name="message_effect[]" draggable="true">
                                        <option value="0">No Effect</option>
                                        <option value="blinking" <?php if ($bundle->message_effect) {
                                                                        echo "selected";
                                                                    } ?>>Blinking</option>
                                    </select>
                                </div>
                            </div>

                        </div>

                    </div>

                    <!-- <i class="icofont-drag dragIcon"></i> -->

                    <i class="delete-offer icofont-ui-delete"></i>

                </div>

            <?php }
        } else { // No available offers
            ?>
            <div class="single_offer" draggable="true">
                <i class="icofont-rounded-up toggle_offer"></i>
                <div class="single_line">
                    <p class="title-input-offer offer_title_label">Offer title <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">The name of the offer to explain what people will get.<br><br><i>ex: 2 products (-50% OFF)</i></span></span></p>
                    <input class="wbdl_bundle_title components-text-control__input" type="text" placeholder="ex: 2 Tshirts + 1 Free" name="bundle_title[]" draggable="true" />
                    <input type="hidden" class="hidden_title" value="Buy 1 Tshirt" draggable="true">
                </div>
                <div class="element_to_toggle">
                    <div class="single_line">
                        <p class="title-input-offer">Product quantity in the bundle <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">The number of bundles products in the offer.</span></span></p>
                        <input class="wbdl_product_qty components-text-control__input" type="number" min="1" placeholder="ex: 3" name="product_qty[]" draggable="true" />
                    </div>
                    <div class="single_line">
                        <p class="title-input-offer">Thumbnail url <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add a picture on the offer to show people what they will get.</span></span><?php is_pro(); ?></p>
                        <input type="text" name="image_url[]" class="thumbnail_url components-text-control__input" placeholder="https://yourdomain.com/path-to-image" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true">
                    </div>
                    <div class="two_column_offer">
                        <div class="single_line">
                            <p class="title-input-offer">Price <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Current price of the offer people will pay.</span></span></p>
                            <input class="wbdl_sale_price components-text-control__input" type="number" step="0.01" min="0" placeholder="9.99" name="sale_price[]" draggable="true" />
                        </div>
                        <div class="single_line">
                            <p class="title-input-offer">Compared price (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Old price that will appear crossed.</span></span></p>
                            <input class="wbdl_regular_price components-text-control__input" type="number" step="0.01" min="0" placeholder="19.99" name="regular_price[]" draggable="true" />
                        </div>
                    </div>
                    <p class="title-input-offer" style="margin-top:30px;">
                        <input type="checkbox" name="ppu" class="show_price_per_unit" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>> Show the price per unit instead <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Show the prices of each item instead of the price of the bundle.</span></span>
                        <?php is_pro(); ?>
                    </p>
                    <?php if ($currency_data && !empty($currency_data)) { ?>
                        <p class="title-input-offer" style="margin-top:30px;">
                            <input type="checkbox" name="wmc" class="wmc" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>> Use fixed multicurrency prices <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">You are using Villatheme multicurrency plugin. Enable this option if you want to set fixed prices in different currencies for your offers.</span></span><?php is_pro(); ?>
                        </p>
                    <?php } ?>
                    <div class="solid-divider"></div>
                    <div class="single_line">
                        <h3 class="options-title">Custom Variants & Options</h3>
                        <p class="offer_number_option title-input-offer" data-value="1">
                            <input type="checkbox" id="togBtn" name="use_custom_variations" <?php if (!WBDL_PRO) echo "disabled"; ?> draggable="true">
                            Use custom variants & options
                            <span class="info-popup">
                                <i class="icofont-info-circle icon-popup"></i>
                                <span class="info-popup-message" style="display: none;">Check this box if the product in your offer if you want to use custom variants instead of Woocommerce variants.<br><br><i>Check our documentation to learn more about custom variants.</i>
                                </span>
                            </span>
                            <?php is_pro(); ?>
                        </p>
                    </div>

                    <div class="wbdl_custom_options option_1" style="display:none;">
                        <!-- Option Name -->
                        <div class="single_line">
                            <p class="title-input-offer">Option 1 name <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the name of the first option.<br><br><i>ex: Color</i></span></span></p>
                            <input class="components-text-control__input" type="text" placeholder="ex: Color" name="option1_name[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <span class="info-popup"><i class="icofont-trash trash-button pointer"></i></span>
                        </div>
                        <!-- /Option Name -->
                        <div class="single_line">
                            <p class="title-input-offer">Option 1 values separated by "|" <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the different variants for the first option separated by "|"<br><br><i>ex: Red | Blue | Black</i></span></span></p>
                            <input type="text" class="components-text-control__input" placeholder="ex: Black | Red | Blue" name="option1_value[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <!-- <p class="info_dropdown_shown" style="display: none;">You need at least 2 values if you want the selector to appear in the preview</p> -->
                        </div>

                        <!-- <div class="single_line">
                            <p class="add_option" style="display: block;">+ Add another option</p>
                        </div> -->
                    </div>

                    <!-- /Option Name -->

                    <div class="wbdl_custom_options option_2" style="display:none;">
                        <div class="single_line">
                            <p class="title-input-offer">Option 2 name <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the name of the second option.<br><br><i>ex: Size</i></span></span></p>
                            <input class="components-text-control__input" type="text" placeholder="ex: Size" name="option1_name[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <span class="info-popup"><i class="icofont-trash trash-button pointer"></i></span>
                        </div>
                        <div class="single_line">
                            <p class="title-input-offer">Option 2 values separated by "|" <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the different variants for the second option separated by "|"<br><br><i>ex: Small | Medium | Big</i></span></span></p>
                            <input type="text" class="components-text-control__input" placeholder="ex: Black | Red | Blue" name="option1_value[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <!-- <p class="info_dropdown_shown" style="display: none;">You need at least 2 values if you want the selector to appear in the preview</p> -->
                        </div>
                    </div>

                    <div class="solid-divider"></div>

                    <div class="content-sentence">
                        <h3 class="options-title">Custom messages</h3>
                        <p class="title-input-offer" style="margin-top: 20px;margin-bottom: 0px;">
                            <input type="checkbox" name="preselected_offer[]" class="preselected_offer" draggable="true">
                            Preselect this offer
                            <span class="info-popup">
                                <i class="icofont-info-circle icon-popup"></i>
                                <span class="info-popup-message" style="display: none;">It's the offer that will be selected by default on your product page
                                </span>
                            </span>
                        </p>
                        <p class="title-input-offer">
                            <input type="checkbox" name="add_messages[]" class="add_custom_messages" draggable="true"> Add custom messages to the offer <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">You can display a message on the offer to make it more attractive<br><br><i>ex: Best offer</i></span></span>
                            <input type="hidden" name="hidden_add_messages[]" class="hidden_add_messages" value="off">
                        </p>
                        <div class="custom-messages" style="display:none;">
                            <div class="single_line custom_message">
                                <p class="title-input-offer">Message 1 (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">This message will be displayed above the offer's title.<br><br><i>ex: Best offer</i></span></span></p>
                                <input class="components-text-control__input" type="text" placeholder="ex: Best seller!" name="message[]" draggable="true" />
                            </div>

                            <div class="single_line custom_message">
                                <p class="title-input-offer">Message 2 (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">This message will be displayed below the offer's title.<br><br><i>ex: Save 10% with this bundle</i></span></span></p>
                                <input class="components-text-control__input" type="text" placeholder="ex: Save 20% with this offer" name="discount_rule[]" draggable="true" />
                            </div>

                            <div class="single_line custom_message">
                                <p class="title-input-offer">Message effect <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add an effect to the message to make it pop. This will only apply on Message 1.</span></span>
                                </p>
                                <select name="message_effect[]" draggable="true">
                                    <option value="0">No Effect</option>
                                    <option value="blinking">Blinking</option>
                                </select>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- <i class="icofont-drag dragIcon"></i> -->

                <i class="delete-offer icofont-ui-delete"></i>

            </div>
        <?php
        }
        ?>
    </div>
</div>
<div style="margin-bottom: 10px;">
    <a id="add-bundle" class="button add-another" data-role="button" data-inline="true">+ Add Rule</a>
</div>

<script type="text/javascript">
    jQuery(document).ready(function($) {
        $(document).on('click', '.toggle_offer', function() {
            if (this.classList.contains('icofont-rounded-up')) {
                this.classList.add('icofont-rounded-down');
                this.classList.remove('icofont-rounded-up');
                $(this).parent().find(".element_to_toggle").slideUp("fast");
            } else {
                this.classList.add('icofont-rounded-up');
                this.classList.remove('icofont-rounded-down');
                $(this).parent().find(".element_to_toggle").slideDown("fast");
            }
        });

        $(document).on('click', '.delete-offer', function() {
            if (this.parentNode.querySelector('.new_offer') == null) {
                result = confirm("Do you want to remove this rule?");
                if (result) {
                    linesAmount = document.querySelectorAll('.single_offer').length;
                    if (linesAmount > 1) {
                        this.parentNode.remove();
                    } else {
                        alert("You need to keep at least 1 offer");
                    }
                }
            } else {
                linesAmount = document.querySelectorAll('.single_offer').length;
                if (linesAmount > 1) {
                    this.parentNode.remove();
                    previewOffers();
                } else {
                    alert("You need to keep at least 1 offer");
                }
            }
        });

        $(document).on('click', '.add-another', function() {
            offerList = $(document).find(".offers_list");
            newLine = `
            <div class="single_offer" draggable="true">
                <i class="icofont-rounded-up toggle_offer"></i>
                <div class="single_line">
                    <p class="title-input-offer offer_title_label">Offer title <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">The name of the offer to explain what people will get.<br><br><i>ex: 2 products (-50% OFF)</i></span></span></p>
                    <input class="wbdl_bundle_title components-text-control__input" type="text" placeholder="ex: 2 Tshirts + 1 Free" name="bundle_title[]" draggable="true" />
                    <input type="hidden" class="hidden_title" value="Buy 1 Tshirt" draggable="true">
                </div>
                <div class="element_to_toggle">
                    <div class="single_line">
                        <p class="title-input-offer">Product quantity in the bundle <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">The number of bundled products in the offer.</span></span></p>
                        <input class="wbdl_product_qty components-text-control__input" type="number" min="1" placeholder="ex: 3" name="product_qty[]" draggable="true" />
                    </div>
                    <div class="single_line">
                        <p class="title-input-offer">Thumbnail url <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add a picture on the offer to show people what they will get.</span></span><?php is_pro(); ?></p>
                        <input type="text" name="image_url[]" class="thumbnail_url components-text-control__input" placeholder="https://yourdomain.com/path-to-image" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true">
                    </div>
                    <div class="two_column_offer">
                        <div class="single_line">
                            <p class="title-input-offer">Price <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Current price of the offer people will pay.</span></span></p>
                            <input class="wbdl_sale_price components-text-control__input" type="number" step="0.01" min="0" placeholder="9.99" name="sale_price[]" draggable="true" />
                        </div>
                        <div class="single_line">
                            <p class="title-input-offer">Compared price (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Old price that will appear crossed.</span></span></p>
                            <input class="wbdl_regular_price components-text-control__input" type="number" step="0.01" min="0" placeholder="19.99" name="regular_price[]" draggable="true" />
                        </div>
                    </div>
                    <p class="title-input-offer" style="margin-top:30px;">
                            <input type="checkbox" name="ppu" class="show_price_per_unit" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>> Show the price per unit instead <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Show the prices of each item instead of the price of the bundle.</span></span>
                            <?php is_pro(); ?>
                        </p>
                    <?php if ($currency_data && !empty($currency_data)) { ?>
                        <p class="title-input-offer" style="margin-top:30px;">
                            <input type="checkbox" name="wmc" class="wmc" draggable="true" <?php if (!WBDL_PRO) echo "disabled"; ?>> Use fixed multicurrency prices <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">You are using Villatheme multicurrency plugin. Enable this option if you want to set fixed prices in different currencies for your offers.</span></span><?php is_pro(); ?>
                        </p>
                        <?php } ?>
                    <div class="solid-divider"></div>
                    <div class="single_line">
                        <h3 class="options-title">Custom Variants & Options</h3>
                        <p class="offer_number_option title-input-offer" data-value="1">
                            <input type="checkbox" id="togBtn" name="use_custom_variations" <?php if (!WBDL_PRO) echo "disabled"; ?> draggable="true">
                            Use custom variants & options
                            <span class="info-popup">
                                <i class="icofont-info-circle icon-popup"></i>
                                <span class="info-popup-message" style="display: none;">Check this box if the product in your offer if you want to use custom variants instead of Woocommerce variants.<br><br><i>Check our documentation to learn more about custom variants.</i>
                                </span>
                            </span>
                            <?php is_pro(); ?>
                        </p>
                    </div>

                    <div class="wbdl_custom_options option_1" style="display:none;">
                        <!-- Option Name -->
                        <div class="single_line">
                            <p class="title-input-offer">Option 1 name <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the name of the first option.<br><br><i>ex: Color</i></span></span></p>
                            <input class="components-text-control__input" type="text" placeholder="ex: Color" name="option1_name[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <span class="info-popup"><i class="icofont-trash trash-button pointer"></i></span>
                        </div>
                        <!-- /Option Name -->
                        <div class="single_line">
                            <p class="title-input-offer">Option 1 values separated by "|" <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the different variants for the first option separated by "|"<br><br><i>ex: Red | Blue | Black</i></span></span></p>
                            <input type="text" class="components-text-control__input" placeholder="ex: Black | Red | Blue" name="option1_value[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <!-- <p class="info_dropdown_shown" style="display: none;">You need at least 2 values if you want the selector to appear in the preview</p> -->
                        </div>

                        <!-- <div class="single_line">
                            <p class="add_option" style="display: block;">+ Add another option</p>
                        </div> -->
                    </div>

                    <!-- /Option Name -->

                    <div class="wbdl_custom_options option_2" style="display:none;">
                        <div class="single_line">
                            <p class="title-input-offer">Option 2 name <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the name of the second option.<br><br><i>ex: Size</i></span></span></p>
                            <input class="components-text-control__input" type="text" placeholder="ex: Size" name="option1_name[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <span class="info-popup"><i class="icofont-trash trash-button pointer"></i></span>
                        </div>
                        <div class="single_line">
                            <p class="title-input-offer">Option 2 values separated by "|" <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add the different variants for the second option separated by "|"<br><br><i>ex: Small | Medium | Big</i></span></span></p>
                            <input type="text" class="components-text-control__input" placeholder="ex: Black | Red | Blue" name="option1_value[]" <?php if (!WBDL_PRO) echo 'disabled'; ?> draggable="true" />
                            <!-- <p class="info_dropdown_shown" style="display: none;">You need at least 2 values if you want the selector to appear in the preview</p> -->
                        </div>
                    </div>

                    <div class="solid-divider"></div>

                    <div class="content-sentence">
                        <h3 class="options-title">Custom messages</h3>
                        <p class="title-input-offer" style="margin-top: 20px;margin-bottom: 0px;">
                            <input type="checkbox" name="preselected_offer[]" class="preselected_offer" draggable="true">
                            Preselect this offer 
                            <span class="info-popup">
                            <i class="icofont-info-circle icon-popup"></i>
                            <span class="info-popup-message" style="display: none;">It's the offer that will be selected by default on your product page</span>
                            </span>
                        </p>
                        <p class="title-input-offer">
                            <input type="checkbox" name="add_messages[]" class="add_custom_messages" draggable="true"> Add custom messages to the offer <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">You can display a message on the offer to make it more attractive<br><br><i>ex: Best offer</i></span></span>
                            <input type="hidden" name="hidden_add_messages[]" class="hidden_add_messages" value="off">
                        </p>
                        <div class="custom-messages" style="display:none;">
                            <div class="single_line custom_message">
                                <p class="title-input-offer">Message 1 (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">This message will be displayed above the offer's title.<br><br><i>ex: Best offer</i></span></span></p>
                                <input class="components-text-control__input" type="text" placeholder="ex: Best seller!" name="message[]" draggable="true" />
                            </div>

                            <div class="single_line custom_message">
                                <p class="title-input-offer">Message 2 (optional) <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">This message will be displayed below the offer's title.<br><br><i>ex: Save 10% with this bundle</i></span></span></p>
                                <input class="components-text-control__input" type="text" placeholder="ex: Save 20% with this offer" name="discount_rule[]" draggable="true" />
                            </div>

                            <div class="single_line custom_message">
                                <p class="title-input-offer">Message effect <span class="info-popup"><i class="icofont-info-circle icon-popup"></i><span class="info-popup-message" style="display: none;">Add an effect to the message to make it pop. This will only apply on Message 1.</span></span>
                                </p>
                                <select name="message_effect[]" draggable="true">
                                    <option value="0">No Effect</option>
                                    <option value="blinking">Blinking</option>
                                </select>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- <i class="icofont-drag dragIcon"></i> -->

                <i class="delete-offer icofont-ui-delete"></i>

            </div>`;
            offerList.append(newLine)

            // document.querySelector('.offers_list').append(newLine);
            $(".info-popup").each(function(index) {
                $(this)
                    .find(".icon-popup")
                    .mouseover(function(event) {
                        if (!event.target.classList.contains("info-popup-message")) {
                            $(this).parent().find(".info-popup-message").fadeIn("fast");
                        }
                    });
                $(this)
                    .find(".icon-popup")
                    .mouseout(function(event) {
                        if (!event.target.classList.contains("info-popup-message")) {
                            $(this).parent().find(".info-popup-message").fadeOut("fast");
                        }
                    });
            });

        });
    });
</script>
<?php
function is_pro()
{
    if (!WBDL_PRO)
        echo '<a href="https://wcbundler.com/pricing" target="_blank" rel="external noreferrer noopener" class="wbdl-upgrade-pro">PRO</a>';
}
?>