<?php

use Bundler\Controllers\OfferController;

$offer_controller = new OfferController();
$offer_id = isset($_GET['id']) ? $_GET['id'] : null;

if ($offer_id) {
    $offer = $offer_controller->get_offer_by_id($offer_id)[0];
    $bundles = $offer_controller->get_bundles_by_offer_id($offer_id);
} else $offer = null;

?>

<div class="wbdl">
    <div class="wbdl-alert-top-right" id="notify-msg-holder">
    </div>
    <div class="wbdl-container">
        <form id="<?php if ($action == 'add-offer') echo "wbdl-new-offer";
                    else echo "wbdl-edit-offer"; ?>" name="offer_generator" action="" method="post">
            <input type="hidden" name="wbdl_nonce" value="<?php echo wp_create_nonce('bundler'); ?>">
            <input type="hidden" name="offer_id" class="offer_id" value="<?php if ($offer && $offer->id) echo esc_html($offer->id); ?>">
            <input type="hidden" name="priority" class="priority" value="<?php if ($offer && $offer->priority) echo esc_html($offer->priority); ?>">
            <input type="hidden" name="product_id" class="wbdl_product_id" value="<?php if ($offer && $offer->product_id) echo esc_html($offer->product_id); ?>">
            <div class="header-row">
                <div class="navigation">
                    <a class="Breadcrumb" href="<?php echo admin_url('admin.php?page=bundler'); ?>">
                        <span class="icon">
                            <svg viewBox="0 0 20 20" class="icon_svg" focusable="false" aria-hidden="true">
                                <path d="M17 9h-11.586l3.293-3.293a.999.999 0 1 0-1.414-1.414l-5 5a.999.999 0 0 0 0 1.414l5 5a.997.997 0 0 0 1.414 0 .999.999 0 0 0 0-1.414l-3.293-3.293h11.586a1 1 0 1 0 0-2z"></path>
                            </svg>
                        </span>
                    </a>
                    <?php if ($action == 'add-offer') { ?>
                        <h1 class="wp-heading-inline">New Offer</h1>
                    <?php } else { ?>
                        <h1 class="wp-heading-inline">Edit Offer</h1>
                        <a target="_blank" class="open-product-link" style="margin-left:20px;" href="<?php if ($offer->product_id) echo get_permalink($offer->product_id); ?>">Preview on product page <i class="icofont-external-link"></i></a>
                    <?php } ?>
                </div>
                <div class="buttons-container">
                    <input id="wbdl_edit_offer" class="offer-submit" type="submit" name="wbdl_submit" value="Save Offer">
                    <a id="wbdl_cancel" class="btn btn-danger" name="wbdl_cancel" href="<?php echo admin_url('admin.php?page=bundler'); ?>">Cancel</a>
                </div>
            </div>
            <div class="offer-header-row">
                <div class="offer-menu">
                    <h2 class="wbdl-offer-heading">Offer Header</h2>
                    <div class="wbdl-offer-menu-content">
                        <p>Choose your offer's name and type.</p>
                        <!-- <p>Note : You can also exclude products/categories.</p> -->
                    </div>
                </div>
                <div class="offer-options-con">
                    <div class="wbdl-block">
                        <div class="wbdl-row">
                            <div class="offer-title">
                                <div class="offer-title-row">
                                    <label class="label">Offer title</label>
                                    <input class="offer-title-input components-text-control__input" type="text" name="offer_title" placeholder="Choose a title for your offer" value="<?php if ($offer && $offer->title) echo $offer->title; ?>">
                                </div>
                            </div>
                        </div>
                        <div class="wbdl-row">
                            <div class="offer-type">
                                <div class="offer-type-row">
                                    <label class="label">Discount type</label>
                                    <!-- <select name="discount_type" class="wbdl-product-discount-type wbdl-discount-type-selector" data-placement="wdr-discount-template-placement">
                                        <option value="not_selected">Select Discount Type</option>
                                        <option value="qty_discount" <?php if ($offer && $offer->type == "qty_discount") echo 'selected="selected"'; ?>>Quantity Discount</option>
                                        <option value="bundle" <?php if ($offer && $offer->type == "bundle") echo 'selected="selected"'; ?>>Bundle Discount</option>
                                        <option value="bogo" <?php if ($offer && $offer->type == "bogo") echo 'selected="selected"'; ?>>BOGO (Buy X Get X)</option>
                                    </select> -->
                                    <div class="discount_type">
                                        <div class="components-radio-control__option">
                                            <input class="components-radio-control__input" type="radio" name="discount_type" value="qty_discount" checked>Quantity Discount
                                        </div>
                                        <div class="components-radio-control__option">
                                            <input class="components-radio-control__input" type="radio" name="discount_type" value="bundle" <?php if ($offer && $offer->type == "bundle") echo 'checked="checked"'; ?>>Bundle Discount
                                        </div>
                                        <div class="components-radio-control__option">
                                            <input class="components-radio-control__input" type="radio" name="discount_type" value="bogo" <?php if ($offer && $offer->type == "bogo") echo 'checked="checked"'; ?>>BOGO (Buy X Get X)
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="wbdl-row">
                            <div class="offer-active">
                                <div class="offer-active-row">
                                    <label class="label">Active?</label>
                                    <!-- <label class="toggle">
                                        <input class="toggle__input" type="checkbox" name="enabled" <?php if ($offer && $offer->status == "on") echo 'checked'; ?> value="1">
                                    </label> -->
                                    <label class="switch switch-left-right">
                                        <input class="switch-input" name="offer_status" type="checkbox" <?php if ($offer && $offer->status == "on") echo 'checked'; ?> value="1">
                                        <span class="switch-label" data-on="Enabled" data-off="Disabled"></span>
                                        <span class="switch-handle"></span>
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="product-row">
                <div class="offer-menu">
                    <h2 class="wbdl-offer-heading">Products</h2>
                    <div class="wbdl-offer-menu-content">
                        <p>Choose which product to apply the discount on.</p>
                        <!-- <p>Note : You can also exclude products/categories.</p> -->
                    </div>
                </div>
                <div class="offer-options-con">
                    <div class="wbdl-block">
                        <div class="wbdl-row">
                            <input type="hidden" name="action" value="wbdl_load_products">
                            <input type="hidden" name="method" value="save_offer">
                            <input type="hidden" name="wbdl_product_search_nonce" value="<?php echo wp_create_nonce('bundler'); ?>">
                            <input type="hidden" name="ajaxurl" value="<?php echo  admin_url('admin-ajax.php'); ?>">
                            <div class="wbdl-offer-product">
                                <?php if (!WBDL_PRO) { ?>
                                    <div class="wbdl-info">
                                        <span class="wbdl-info-icon">
                                            <svg width="20" height="20" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path d="M9.00137 0.666504C13.6045 0.666504 17.336 4.39804 17.336 9.00113C17.336 13.6042 13.6045 17.3358 9.00137 17.3358C4.39829 17.3358 0.666748 13.6042 0.666748 9.00113C0.666748 4.39804 4.39829 0.666504 9.00137 0.666504ZM9.00137 1.9165C5.08864 1.9165 1.91675 5.0884 1.91675 9.00113C1.91675 12.9139 5.08864 16.0858 9.00137 16.0858C12.9141 16.0858 16.086 12.9139 16.086 9.00113C16.086 5.0884 12.9141 1.9165 9.00137 1.9165ZM8.99834 7.75032C9.31475 7.75012 9.5764 7.98507 9.61799 8.29011L9.62375 8.37491L9.62675 12.9596C9.62697 13.3048 9.34733 13.5848 9.00216 13.585C8.68574 13.5852 8.42409 13.3502 8.38251 13.0452L8.37675 12.9604L8.37375 8.37573C8.37352 8.03055 8.65316 7.75055 8.99834 7.75032ZM9.00175 4.83552C9.46137 4.83552 9.83397 5.20812 9.83397 5.66774C9.83397 6.12736 9.46137 6.49996 9.00175 6.49996C8.54213 6.49996 8.16953 6.12736 8.16953 5.66774C8.16953 5.20812 8.54213 4.83552 9.00175 4.83552Z" fill="#353030"></path>
                                            </svg>
                                        </span>
                                        <span class="wbdl-info-text">Bundler Lite works for simple products only. <strong>Upgrade to Pro</strong> if you wish to create offers for variable products.</span>
                                    </div>
                                <?php } ?>
                                <div class="wbdl-offer-product-row">
                                    <label class="label">Product</label>
                                    <div class="product-selector">
                                        <select id="product-selector" data-list="products" data-field="autocomplete" data-placeholder="Search for a product" tabindex="-1" aria-hidden="true">
                                            <?php if ($offer && $offer->product_id) {
                                                if (wc_get_product($offer->product_id)) { ?>
                                                    <option selected value="<?php echo esc_attr($offer->product_id); ?>">
                                                        <?php echo esc_html('#' . $offer->product_id . ' ' . wc_get_product($offer->product_id)->get_name()); ?>
                                                    </option>
                                                <?php } else { ?>
                                                    <option selected></option>
                                            <?php }
                                            } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="discount-row">
                <div class="offer-menu">
                    <h2 class="offer-heading">Discount</h2>
                    <div class="offer-menu-content">
                        <p>Set your discount rules.</p>
                        <!-- <p>Note : You can also exclude products/categories.</p> -->
                    </div>
                </div>
                <div class="offer-options-con">
                    <div class="wbdl-block">
                        <div class="wbdl-row">
                            <?php require_once(WBDL_PLUGIN_DIR . 'App/Views/admin/templates/offers/discount-rules-form.php'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="woo_discount_loader">
        <div class="lds-ripple">
            <div></div>
            <div></div>
        </div>
    </div>
</div>