<div class="custom-design-three">

	<?php

	$regular_price = $sale_price = 0;

	foreach ($bundles as $bundle) {
	?>
		<div class="custom-bundle" products-number="<?php esc_attr_e($bundle->number_of_products); ?>" bundle-id="<?php echo esc_attr($product_id) . '-' . esc_attr($bundle->id); ?>">
			<span class="radio-button <?php if ($bundle->preselected_offer == "on") echo 'active'; ?>">
				<input type="radio" class="radio_select" name="bundle_select" value="1" <?php if ($bundle->preselected_offer == "on") echo "checked"; ?>>
			</span>
			<?php if ($bundle->image_url && WBDL_PRO) { ?>
				<img class="img_thumbnail" name="bundle_image" width="150px" src="<?php esc_url($bundle->image_url); ?>">
			<?php } ?>
			<div class="message-with">
				<?php if ($bundle->message_effect == 'blinking') { ?>
					<p class="bundle-message-blink"><?php if ($bundle->add_messages == 'on' && $bundle->message) esc_html_e($bundle->message); ?></p>
				<?php } else { ?>
					<p class="bundle-message-not-blink"><?php if ($bundle->add_messages == 'on' && $bundle->message) esc_html_e($bundle->message); ?></p>
				<?php } ?>
				<h5 class="b_title" data-number="<?php esc_html_e($bundle->number_of_products); ?>" data-title="<?php esc_attr_e($bundle->bundle_title); ?>"><?php esc_html_e($bundle->bundle_title); ?></h5>
				<div class="wbdl-price">
					<?php
					if ($bundle->regular_price && $bundle->regular_price != '') {
						$regular_price = $cart_helper->get_wmc_price($bundle->regular_price);
						if ($regular_price != 0) {
					?>
							<span class="bundle-cprice" name="bundle_cprice" value="<?php esc_attr_e(Strip_tags($bundle->regular_price)); ?>"><?php echo esc_html(Strip_tags(wc_price($regular_price))); ?></span>
						<?php
						}
					}
					if ($bundle->sale_price) {
						$sale_price = $cart_helper->get_wmc_price($bundle->sale_price);
						?>
						<span class="bundle-price" name="bundle_price" value="<?php esc_attr_e(Strip_tags($bundle->sale_price)); ?>"><?php echo esc_html(Strip_tags(wc_price($sale_price))); ?></span>
					<?php }
					?>
				</div>
				<?php
				if ($bundle->add_messages == 'on' && $bundle->discount_rule) {
					$str = $bundle->discount_rule;
					if (str_contains($str, '($)') || str_contains($str, '(%)')) {
						if ($bundle->regular_price && $bundle->sale_price) {
							$discount = $bundle->regular_price - $bundle->sale_price;
							$percent_change = (1 - $bundle->sale_price / $bundle->regular_price) * 100;
							$discount = wc_price($discount);
							$percent = number_format($percent_change);

							$str = str_replace("($)", $discount, $str);
							$str = str_replace("(%)", $percent . '%', $str);
						}
					}
				?>
					<span class="discount-rule">
						<?php echo $str; ?>
					</span>
				<?php
				} ?>
			</div>
		</div>
	<?php
	} ?>
</div>