jQuery(document).ready(function ($) {
  originalATCText = $(".single_add_to_cart_button").text();
  bundlerWidget = $("div[class='wbdl_widget']").first();
  var $form = $("form.variations_form");

  /**
   * select a bundle offer and unselect the others
   * @param mixed bundle
   * @return void
   */
  function selectBundle(bundle) {
    var parent = $(bundle).parent();

    bundlerWidget
      .find("div[class^='custom-bundle'][class$='active']")
      .each(function (i, obj) {
        if ($(obj).parent().is(parent)) {
          $(obj).removeClass("active");
        }
      });

    bundlerWidget
      .find("div[class^='custom-bundle']:not(.active)")
      .find(".bundle-variation")
      .css("display", "none");

    $(bundle).addClass("active");
    if ($(bundle).find('.img_thumbnail[src!=""]').length)
      $(bundle).find(".variant-title").css("width", "100%");

    $(bundle)
      .parent()
      .find("div[class^='custom-bundle']:not(.active)")
      .find(".custom-vari .option2")
      .removeAttr("name");
    $(bundle)
      .parent()
      .find("div[class^='custom-bundle']:not(.active)")
      .find(".custom-vari .option1")
      .removeAttr("name");
    $(bundle).find(".radio_select").prop("checked", true);

    //Update the displayed regular and sale price on the product page according to the selected bundle's price
    var bundle_regular_price =
      jQuery(bundle).find('span[name^="bundle_cprice"]').text() || 0;
    var bundle_sale_price =
      jQuery(bundle).find('span[name^="bundle_price').text() || 0;

    $(".Bprice").val(bundle_sale_price);
    // var price = $("#main").find(".product").find(".price").first();
    var price = $(".summary").find(".price").first();

    price.empty("");
    if (bundle_regular_price && bundle_regular_price != 0) {
      // If the bundle includes compared price + sale price
      price.empty("");
      price.append(
        '<del><span class="woocommerce-Price-amount amount"><bdi></bdi></span></del>&nbsp;<ins><span class="woocommerce-Price-amount amount"><bdi></bdi></span></ins>'
      );
      price.find("del").find("bdi").text(bundle_regular_price);
      price.find("ins").find("bdi").text(bundle_sale_price);
    } else {
      // If the bundles includes sale price only (no compared price)
      price.append(
        '<span class="woocommerce-Price-amount amount"><bdi></bdi></span>'
      );
      price.find("bdi").text(bundle_sale_price);
    }
  }

  /**
   * Add bundle to cart
   * @param mixed $atcButton
   * @param mixed $bundlerWidget
   * @return void
   */
  function addBundleToCart($atcButton, $bundlerWidget) {
    var id = $atcButton.val(),
      nonce = $bundlerWidget.find("input[name=wbdl_nonce]").val(),
      productID = $bundlerWidget.attr("product_id") || id,
      productType =
        $bundlerWidget.find("input[name=wbdl_product_type]").val() || "simple",
      productQty = $form.find("input[name=quantity]").val() || 1,
      productsNb =
        $bundlerWidget
          .find("div[class^='custom-bundle'][class$='active']")
          .attr("products-number") || 1,
      bundleImage =
        $bundlerWidget
          .find("div[class^='custom-bundle'][class$='active']")
          .find("img[name=bundle_image]")
          .attr("src") || "";

    var data = {
      nonce: nonce,
      wbdl_product_id: productID,
      wbdl_products_num: productsNb,
      wbdl_product_quantity: productQty,
    };

    var ajax_url = woocommerce_params.wc_ajax_url
      .toString()
      .replace("%%endpoint%%", "wbdl_add_to_cart");

    var cart_redirect = $bundlerWidget.attr("cart_redirect");

    $(document.body).trigger("adding_to_cart", [$atcButton, data]);

    $.ajax({
      url: ajax_url,
      type: "POST",
      dataType: "json",
      data: data,
      beforeSend: function (response) {
        $atcButton.removeClass("added").addClass("loading");
      },
      complete: function (response) {
        $atcButton.addClass("added").removeClass("loading");
        $(document.body).trigger("wc_reload_fragments");
        // console.log("complete " + JSON.stringify(response.responseJSON));
      },
      success: function (response) {
        if (response.error) {
          alert(response.message);
          return;
        }
        $(document.body).trigger("added_to_cart", [
          response.fragments,
          response.cart_hash,
          $atcButton,
        ]);
        if (cart_redirect == "on") window.location = script_vars.woo_cart_url;
      },
    });
  }

  /**
   * Click on the preselected bundle offer
   */
  $(bundlerWidget)
    .find("div[class^='custom-bundle']:not(.active)")
    .find(".bundle-variation")
    .css("display", "none");
  $(bundlerWidget)
    .find(".radio-button.active")
    .each(function (i, obj) {
      setTimeout(function () {
        $(obj).closest("div[class^='custom-bundle']").click();
      }, 1000);
    });

  /**
   * Action after a bundle offer is selected
   * */
  $(bundlerWidget)
    .find("div[class^='custom-bundle']")
    .on("click", function (e) {
      $(".single_add_to_cart_button").removeClass("disabled");
      selectBundle(this);
    });

  /**
   * Action after add to cart (Ajax add to cart)
   */
  $(".single_add_to_cart_button:not(.disabled)").on("click", function (e) {
    var $atcButton = $(this),
      $form = $atcButton.closest("form.cart");

    var $bundlerWidget = $form.find("div[class='wbdl_widget']").length
      ? $form.find("div[class='wbdl_widget']")
      : $(document).find("div[class='wbdl_widget']");

    if ($bundlerWidget.length) {
      // If Any bundles for this product

      if ($bundlerWidget.find(".radio_select").is(":checked")) {
        e.preventDefault();
        addBundleToCart($atcButton, $bundlerWidget);
      } else {
        e.preventDefault();
        alert(
          "Please select an option before adding this product to your cart."
        );
      }
    }
  });
});
